net.minecraft.world.gen.structure

## Class MapGenStructureData

- java.lang.Object
- - net.minecraft.world.WorldSavedData
  - - net.minecraft.world.gen.structure.MapGenStructureData

-     public class MapGenStructureData
      extends WorldSavedData

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.WorldSavedData

      `mapName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapGenStructureData(String par1Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NBTTagCompound` | `func_143041_a()`
    `String` | `func_143042_b(int par1, int par2)`
    `void` | `func_143043_a(NBTTagCompound par1NBTTagCompound, int par2, int par3)`
    `void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` reads in data from the NBTTagCompound into this MapDataBase
    `void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` write data to NBTTagCompound from this MapDataBase, similar to Entities and TileEntities

    - ### Methods inherited from class net.minecraft.world.WorldSavedData

      `isDirty, markDirty, setDirty`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapGenStructureData

          public MapGenStructureData(String par1Str)

  - ### Method Detail

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound par1NBTTagCompound)

      reads in data from the NBTTagCompound into this MapDataBase
      Specified by:
        `readFromNBT` in class `WorldSavedData`

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound par1NBTTagCompound)

      write data to NBTTagCompound from this MapDataBase, similar to Entities and TileEntities
      Specified by:
        `writeToNBT` in class `WorldSavedData`

    - #### func_143043_a

          public void func_143043_a(NBTTagCompound par1NBTTagCompound,
                           int par2,
                           int par3)

    - #### func_143042_b

          public String func_143042_b(int par1,
                             int par2)

    - #### func_143041_a

          public NBTTagCompound func_143041_a()